Y Combinator company
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-yc-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "airbnb"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-yc-companies"
payload = { "company": "airbnb" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company: 'airbnb'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-yc-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "yc_companies",
"company": "airbnb",
"company_id": "airbnb",
"human": "# Y Combinator — company\n\n- **Id:** airbnb\n- **Pages opened:** 1\n- **Proxy traffic:** 114.7 KB\n- **One-liner:** Book accommodations around the world.\n- **Batch:** Winter 2009\n- **Status:** Public\n- **Team size:** 6132\n- **Location:** San Francisco",
"machine": {
"company": {
"id": "airbnb",
"alias": "airbnb",
"yc_id": 271,
"name": "Airbnb",
"url": "https://www.ycombinator.com/companies/airbnb",
"one_liner": "Book accommodations around the world.",
"description": "Founded in August of 2008 and based in San Francisco, California, Airbnb is a trusted community marketplace for people to list, discover, and book unique accommodations around the world — online or fr",
"batch": "Winter 2009",
"batch_code": "W09",
"status": "Public",
"website": "http://airbnb.com",
"logo": "https://bookface-images.s3.amazonaws.com/small_logos/3e9a0092bee2ccf926e650e59c06503ec6b9ee65.png",
"tags": [
"Marketplace",
"Travel"
],
"team_size": 6132,
"year_founded": 2008,
"location": "San Francisco",
"city": "San Francisco",
"country": "US",
"linkedin_url": "https://www.linkedin.com/company/airbnb/",
"twitter_url": "https://twitter.com/Airbnb",
"facebook_url": "https://www.facebook.com/airbnb/",
"crunchbase_url": "https://www.crunchbase.com/organization/airbnb",
"github_url": null,
"primary_group_partner": {
"name": "Garry Tan",
"url": "https://www.ycombinator.com/people/garry-tan"
},
"founders": [
{
"name": "Brian Chesky",
"title": "Founder/CEO",
"bio": "Brian Chesky is the co-founder, Head of Community, and CEO of Airbnb, which he started with Joe Gebbia and Nathan Blecharczyk in 2008. Brian sets the company’s strategy to connect people to unique t",
"linkedin_url": "https://www.linkedin.com/in/brianchesky/",
"twitter_url": "https://twitter.com/bchesky",
"is_active": true,
"user_id": 21981
},
{
"name": "Nathan Blecharczyk",
"title": "Founder/CTO",
"bio": "Nathan Blecharczyk is the co-founder, Chief Strategy Officer, and Chairman of Airbnb China. Nathan plays a leading role in driving key strategic initiatives across the global business. Previously he o",
"linkedin_url": "https://www.linkedin.com/in/blecharczyk/",
"twitter_url": "https://twitter.com/nathanblec",
"is_active": true,
"user_id": 21988
}
],
"founder_names": [
"Brian Chesky",
"Nathan Blecharczyk"
],
"photos": [
"https://bookface-images.s3.us-west-2.amazonaws.com/attachments/8a7236c94b4d9b78b67ce66e02cbca497e632d99.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIAQC4NIECAMCQGXKPC%2F20261009%2Fus-west-"
],
"news_count": 5,
"news": [
{
"title": "Airbnb CEO Brian Chesky on taking it back to basics: ‘I can’t make products just for 41-year-old tech founders’ - The Verge",
"url": "https://www.theverge.com/2023/5/9/23716903/airbnb-ceo-brian-chesky-rooms-ai-travel-future-of-work-summer-2023",
"date": "May 09, 2023"
},
{
"title": "Airbnb launches Airbnb Rooms listing category for budget travel",
"url": "https://www.usatoday.com/story/travel/news/2023/05/03/airbnb-rooms-listing-category-budget-travel/70178696007/",
"date": "May 03, 2023"
}
],
"jobs_count": 0,
"launches_count": 0,
"launches": []
},
"blocked": false,
"pages_opened": 1,
"proxy_traffic_bytes": 117434
},
"total_points": 5
}Startup & Funding Data
Y Combinator company
Get one Y Combinator company by slug or URL: one-liner, description, batch, status, website, team size, location, founders with bios, social links, news and Launch YC posts. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-yc-companies
Y Combinator company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Company slug or Y Combinator URL. e.g. airbnb
Response
Run completed.